- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::WindowEventListener Class Reference

Callback class used to send out window events to client app More...

`#include <OgreWindowEventUtilities.h>`

List of all members.

## Public Member Functions
virtual | ~WindowEventListener ()
virtual void | windowMoved (RenderWindow *rw)
| Window has moved position
virtual void | windowResized (RenderWindow *rw)
| Window has resized
virtual void | windowClosed (RenderWindow *rw)
| Window has been closed
virtual void | windowFocusChange (RenderWindow *rw)
| Window has lost/gained focuw

## Detailed Description

Callback class used to send out window events to client app

Definition at line 48 of file OgreWindowEventUtilities.h.

## Constructor & Destructor Documentation

virtual Ogre::WindowEventListener::~WindowEventListener | ( |  | ) | `[virtual]`

Definition at line 51 of file OgreWindowEventUtilities.h.

## Member Function Documentation

virtual void Ogre::WindowEventListener::windowMoved | ( | RenderWindow * | rw | ) | `[virtual]`

Window has moved position

Parameters:

  | rw | The RenderWindow which created this events

Definition at line 59 of file OgreWindowEventUtilities.h.

virtual void Ogre::WindowEventListener::windowResized | ( | RenderWindow * | rw | ) | `[virtual]`

Window has resized

Parameters:

  | rw | The RenderWindow which created this events

Definition at line 67 of file OgreWindowEventUtilities.h.

virtual void Ogre::WindowEventListener::windowClosed | ( | RenderWindow * | rw | ) | `[virtual]`

Window has been closed

Parameters:

  | rw | The RenderWindow which created this events

Definition at line 75 of file OgreWindowEventUtilities.h.

virtual void Ogre::WindowEventListener::windowFocusChange | ( | RenderWindow * | rw | ) | `[virtual]`

Window has lost/gained focuw

Parameters:

  | rw | The RenderWindow which created this events

Definition at line 83 of file OgreWindowEventUtilities.h.

The documentation for this class was generated from the following file:

- OgreWindowEventUtilities.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:55:12 2008